package com.medipreco.loopboxplugin;

import android.annotation.TargetApi;
import android.os.Build;
import android.util.Base64;
import br.com.loopkey.indigo.lklib.core.LKReachableDeviceListener;
import br.com.loopkey.indigo.lklib.entity.LKEntity;

import java.util.List;

public class ReachableDeviceListener implements LKReachableDeviceListener {

  private LoopboxBasicChannel channel;

  public ReachableDeviceListener(LoopboxBasicChannel channel) {
    this.channel = channel;
  }

  @Override
  @TargetApi(Build.VERSION_CODES.FROYO)
  public void onReachableDevices(List<LKEntity> reachedDevices) {
    for(LKEntity reachedDevice : reachedDevices) {
      this.channel.send(Base64.encodeToString(reachedDevice.getSerialCode(), Base64.NO_WRAP));
    }
  }
}
